Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		m4
Version:	1.4.9
Release:	1
License:	GNU/GPL 
URL:		http://www.seindal.dk/rene/gnu/
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	m4 is an implementation of the traditional Unix macro processor.
Prereq(post,preun): /sbin/install-info

%description
m4 is an implementation of the traditional Unix macro processor.
It is mostly SVR4 compatible, although it has some extensions.
GNU m4 also has built-in functions for including files, running shell commands,
doing arithmetic, etc.
Autoconf needs GNU m4 for generating `configure' scripts, but not for running them.
For more details see: http://www.seindal.dk/rene/gnu/

%post 
/sbin/install-info %{_infodir}/m4.info.gz %{_infodir}/dir 
 
%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %{_infodir}/m4.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --infodir=%_infodir
make

%install

make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 
install -m 755 -d $RPM_BUILD_ROOT/%_datadir
#mv -f $RPM_BUILD_ROOT/usr/info  $RPM_BUILD_ROOT/%_datadir
rm -f $RPM_BUILD_ROOT/usr/share/info/dir

%files
%defattr(-,root,root)
%_bindir/m4
%_infodir/m4.info.gz
%_mandir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.9-1
- Version update
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.8-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.7-1
- Version update
* Sat Oct 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.4-1
- Version update, removed wrong obsoletes tag
* Tue Jul 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.3-2
- Added infofile install
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.3-1
- Version Update to 1.4.3
* Sun Apr 24 2005 Christian Wasem <wasem@ccux-linux.de> 1.4.2-1
- update to Version 1.4.2
